%define	name	dvdwizard
%define	version 0.4.2
%define release %mkrel 5
%define distsuffix plf

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DVD-Video creation wrapper
License: 	GPL
Group:		Archiving/Cd burning
URL:		http://udrecsuite.sourceforge.net/doku_dvdwizard.html
Source:		http://www.wershofen.de/downloads/%{name}.tar.bz2
Patch0:		%{name}-0.4.2.fhs.patch.bz2
Patch1:		%{name}-0.4.2.yuv.patch.bz2
Requires:	bc
Requires:	dvdauthor
Requires:	ImageMagick
Requires:	toolame
Requires:	mjpegtools
Requires:	transcode
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
dvdwizard is a wrapper-script which incorporates a fully automated creation of
a DVD-structure with Chapters and menus from one or more mpeg-streams. This is
done by several "sub-scripts" and various freely available tools. Needless to
say, that dvdwizard is distributed under the GPL as well.

This package is in PLF because it requires transcode.

%prep
%setup -q
%patch0 -p 1
%patch1 -p 1
chmod 644 COPYING

%build

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_sysconfdir}
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 755 chaptercheck %{buildroot}%{_bindir}
install -m 755 dvdcpics dvdtguess dvdwizard %{buildroot}%{_bindir}
install -m 755 mk_vmgm mk_vtsm mk_vtsm_audio %{buildroot}%{_bindir}
install -m 755 mpgprobe %{buildroot}%{_bindir}
install -m 644 dvdwizard.conf.sample %{buildroot}%{_sysconfdir}/dvdwizard.conf
install -m 644 dvdwizardrc %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING CONTRIB README* TODO*
%{_bindir}/*
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Sat Jan 19 2008 Anssi Hannula <anssi@zarb.org> 0.4.2-5plf2008.1
- rebuild

* Fri Oct 21 2005 Guillaume Rousse <guillomovitch@zarb.org> 0.4.2-4plf
- fix YUV output (bug #73) 
- add URL
- %%mkrel

* Wed Jun 22 2005 Guillaume Rousse <guillomovitch@zarb.org> 0.4.2-3plf
- requires bc (bug #40)
- really fix files location (bug #41)

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@zarb.org> 0.4.2-2plf
- spec cleanup 
- fix files location

* Mon Dec 06 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.4.2-1plf 
- first release
